type User {
	id: ID!,
	username: String!,
}

type Project {
	id: ID!,
	name: String!,
	user: User
}

type Todo {
	id: ID!,
	project: Project,
	user: User,
	name: String,
	done: Boolean,
	dueDate: String,
	priority: String
}

type Query {
	projects: [Project]
	todos: [Todo]
}


input CreateProject {
	name: String!,
}

input UpdateProject {
	name: String!,
}

input CreateTodo {
	projectId: Int!,
	name: String!,
	done: Boolean,
	dueDate: String,
	priority: String,
}

input UpdateTodo {
	projectId: Int!,
	name: String!,
	done: Boolean,
	dueDate: String,
	priority: String,
}


type Mutation {
	createProject(input: CreateProject!) : Project!
	updateProject(id: Int!, input: UpdateProject!) : Project!
	deleteProject(id: Int!) : Boolean

	createTodo(input: CreateTodo!) : Todo!
	updateTodo(id: Int!, input: UpdateTodo!) : Todo!
	deleteTodo(id: Int!) : Boolean
}